rem #########################################
rem Set up variables and remove prior runs
rem
rem Input DEM
set input=../DEM_40m.tif

rem Resample DEM
set resolution=1001

rem Z factor to increase relief in hillshade
set z=15

rem Digital number from hillshade
set DN=5

rem Ouput directory for polygonized hillshade
set output=relief%resolution%%z%

rem Goodbye!
del e*.tif

rem #########################################

rem resample raster
gdalwarp -tr %resolution% %resolution% -r near -of GTiff %input% eDEM.tif

rem hillshade
gdaldem hillshade eDEM.tif eHillshade-%z%.tif -of GTiff -b 1 -z %z% -s 1.0 -az 315.0 -alt 45.0

rem make directory
mkdir %output%

rem extract shaded portion
gdal_calc.py -A eHillshade-%z%.tif --outfile=eRelief-%value%.tif --calc="A <= %value%"

rem polygonize
gdal_polygonize.py eRelief-%value%.tif relief-%value%.gpkg -b 1 -f "GPKG" relief-%value% DN

rem extract polygons that are shaded
ogr2ogr -f GPKG %output%/relief-%value%.gpkg -where "DN = 1" relief-%value%.gpkg

rem temp layer
del relief-%value%.gpkg

